<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFieldsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fields', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->string('type')->index()->nullable();
            $table->string('name')->index()->nullable();
            $table->string('title')->index()->nullable();
            $table->boolean('required')->index()->default(0);
            $table->boolean('multiple')->index()->default(0);
            $table->boolean('filterable')->index()->default(0);
            $table->boolean('hidden')->index()->default(0);
            $table->json('params')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fields');
    }
}
